import convertColorByToken from '../utils/convert-color-token.mjs';

function editSyntaxColors(document, color, range) {
    const colorPresentations = [];
    const selectedColorToken = document.getText(range);
    const targetColorToken = convertColorByToken(color, selectedColorToken, this.css);
    if (targetColorToken) colorPresentations.push({
        label: targetColorToken,
        textEdit: {
            range,
            newText: targetColorToken
        }
    });
    return colorPresentations;
}

export { editSyntaxColors as default };
