import { TextDocument } from 'vscode-languageserver-textdocument';

const languageIdOfExt = {
    ts: 'typescript',
    tsx: 'typescriptreact',
    js: 'javascript',
    jsx: 'javascriptreact',
    css: 'css',
    scss: 'scss',
    less: 'less',
    html: 'html',
    json: 'json',
    vue: 'vue',
    svelte: 'svelte',
    astro: 'astro'
};
function createDoc(ext, content) {
    return TextDocument.create(`file:///abc.${ext}`, languageIdOfExt[ext], 0, content);
}

export { createDoc as default, languageIdOfExt };
